import {Component, OnInit, OnChanges, SimpleChanges} from '@angular/core';

@Component({
  selector: 'app-nav-comp',
  templateUrl: './nav-comp.component.html',
  styleUrls: ['./nav-comp.component.css']
})
export class NavCompComponent implements OnInit {

  rol: string;
  id: string;
  nom: string;
  text: string;

  constructor() {
  }

  ngOnInit() {
    this.text = 'Usuari';
    this.rol = sessionStorage.getItem('rol');
    this.id = sessionStorage.getItem('id');
    if (this.rol) {
      this.text = 'Desconnectar';
    }
  }

  logout() {
    window.location.reload();
    sessionStorage.clear();
  }
}
