import { Component, OnInit } from '@angular/core';
import {PuntService} from '../../../services/punt-service';
import {PuntModel} from '../../../model/punt-model';

@Component({
  selector: 'app-revisa',
  templateUrl: './revisa.component.html',
  styleUrls: ['./revisa.component.css']
})
export class RevisaComponent implements OnInit {

  punts: PuntModel[];

  constructor(private pservice: PuntService) { }

  ngOnInit() {
    this.pservice.getNoValidatedPoints().subscribe(response => {
      this.punts = response;
    });
  }

}
