<?php
header("Access-Control-Allow-Origin: *");

// database connection
include("connection.php");

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);
mysqli_set_charset($conn, "utf8");

//Check connection
if ($conn->connect_error) {
  die("Connection failed: " . $conn->connect_error);
}

$sql = "SELECT
pu.id, (
  6371 * acos (
    cos ( radians(".$_GET['lat'].") )
    * cos( radians( pu.latitud ) )
    * cos( radians( pu.longitud ) - radians(".$_GET['lon'].") )
    + sin ( radians(".$_GET['lat'].") )
    * sin( radians( pu.latitud ) )
  )
) AS distance, pu.longitud, pu.latitud, pu.carrer, pu.cp, po.name AS poblacio
FROM punt AS pu, poblacio AS po
WHERE pu.validat != 0 AND pu.id_poblacio = po.id
HAVING distance < ".$_GET['dist']."
ORDER BY distance";

$result = $conn->query($sql);
$return_arr = Array();

if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
        array_push($return_arr,$row);
    }
} else {
    echo "0 results";
}

$myJSON = json_encode($return_arr, JSON_UNESCAPED_UNICODE);
echo $myJSON;


$conn->close();
?>
