import {Component, Input, OnInit} from '@angular/core';
import {PuntService} from '../../../../services/punt-service';
import {CommentModel} from '../../../../model/comment-model';

@Component({
  selector: 'app-comentaris',
  templateUrl: './comentaris.component.html',
  styleUrls: ['./comentaris.component.css']
})
export class ComentarisComponent implements OnInit {

  @Input() punt;
  comments: CommentModel[];

  constructor(private pservice: PuntService) { }

  ngOnInit() {
    this.pservice.getPointComments(this.punt.id).subscribe(response => {
      this.comments = response;
    });
  }

}
