import {Component, OnInit} from '@angular/core';
import {UserModel} from '../../model/user-model';
import {UserService} from '../../services/user-service';
import {Router} from '@angular/router';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {

  public usuari = new UserModel();
  public userResult = new UserModel();

  constructor(private uservice: UserService, private router: Router) {
  }

  ngOnInit() {

  }

  getUser() {
    if(this.usuari) {
      this.uservice.getUser(this.usuari.email, this.usuari.password).subscribe(response => {
        this.userResult = response;
        if (this.userResult[0].rol === '1') {
          sessionStorage.setItem('rol', '1');
          sessionStorage.setItem('id', this.userResult[0].id);
          sessionStorage.setItem('nom', this.userResult[0].nom);
          this.router.navigate(['/inici']);
          window.location.reload();
        } else if (this.userResult[0].rol === '0') {
          sessionStorage.setItem('rol', '0');
          sessionStorage.setItem('id', this.userResult[0].id);
          sessionStorage.setItem('nom', this.userResult[0].nom);
          this.router.navigate(['/inici']);
          window.location.reload();
        }else {
          alert('Usuari incorrecte');
        }
      });
    }
  }
}
