<?php
header("Access-Control-Allow-Origin: *");

// database connection
include("connection.php");

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);
mysqli_set_charset($conn, "utf8");

//Check connection
if ($conn->connect_error) {
  die("Connection failed: " . $conn->connect_error);
}

$sql = "SELECT pu.id, pu.latitud, pu.longitud, pu.carrer, pu.cp, pu.validat, pu.id_poblacio, po.name AS poblacio, pu.id_usuari, u.nom AS usuari 
FROM punt AS pu, poblacio AS po, usuari AS u
WHERE pu.id_poblacio = po.id AND pu.id_usuari = u.id ORDER BY pu.validat ASC";

$result = $conn->query($sql);
$return_arr = Array();

if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
        array_push($return_arr,$row);
    }
} else {
    echo "0 results";
}

$myJSON = json_encode($return_arr, JSON_UNESCAPED_UNICODE);
echo $myJSON;


$conn->close();
?>
